# gcu::AtomPair Class Reference

`#include <gcu/atom.h>`

List of all members.

## Public Member Functions

| AtomPair (Atom *at1, Atom *at2)

## Public Attributes

Atom * | atom1
Atom * | atom2

## Detailed Description

This class stores atoms pairs. It is used when comparing two molecules.

Definition at line 290 of file gcu/atom.h.

## Constructor & Destructor Documentation

gcu::AtomPair::AtomPair | ( | Atom * | at1,
|  | Atom * | at2 |
| ) |  |  | `[inline]`

Parameters:

  | at1 | the first atom in the pair.
  | at2 | the second atom in the pair.

Constructs the atoms pair from two atoms.

Definition at line 299 of file gcu/atom.h.

References atom1, and atom2.

## Member Data Documentation

Atom* gcu::AtomPair::atom1

The first atom of the pair.

Definition at line 304 of file gcu/atom.h.

Referenced by AtomPair().

Atom* gcu::AtomPair::atom2

The second atom of the pair.

Definition at line 309 of file gcu/atom.h.

Referenced by AtomPair().

The documentation for this class was generated from the following file:

- gcu/atom.h